@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.ghgEmissionsWrapper {
  grid-auto-flow: dense;
  display: grid;
  grid-template-columns: 65% 33%;
  justify-content: space-between;

  @include smaller-than-s {
    display: block;
  }
}

.ghgEmissionsGraph,
.ndcGraph {
  height: 375px;

  @include smaller-than-s {
    height: 300px;
  }
}

.ghgEmissionsFrame {
  grid-column-start: 1;
  grid-column-end: span 1;

  &.full {
    grid-column-end: span 2;
  }

  @include smaller-than-s {
    &:nth-child(3) {
      margin-bottom: var(--space-l);
    }
  }
}

.ndcFrame {
  grid-column-start: 2;
  grid-column-end: span 1;
}

.ndcFrame,
.ghgEmissionsFrame {
  @include smaller-than-s {
    grid-column-start: 1;
    grid-column-end: span 2;
  }
}

.ghgEmissionsFooter {
  flex-direction: row !important;
  justify-content: space-between !important;
}

.mixedChartWrapper {
  height: 350px;

  @include smaller-than-s {
    height: 280px;
  }
}

.timelineFooter,
.keyfactsFooter {
  border-top: none !important;
}


.keyfactsFooter {
  margin-top: var(--space-xxs);
}

.timelineFooter {
  margin-top: var(--space-l);
}

.landUseAbsoluteWrapper {
  height: 200px;
}

.keyfactsWrapper { 
  margin-bottom: var(--space-l);
  padding: var(--space-xl) 0;

  @include larger-than-s {
    background: var(--color-brand-weakest);
    padding: var(--space-xxl);
    padding-bottom: var(--space-xl);
  }
}

.keyfactsTitle {
  font-size: var(--font-size-xl) !important;
  margin-bottom: var(--space-xs) !important;
}

.horizontalStackWrapper {
  margin-bottom: var(--space-s);
  padding-top: var(--space-xs);
  

  &:first-child {
    border: none;
    padding-top: 0 !important;
  }

  @include smaller-than-xs {
    margin-bottom: var(--space-xxxs);
    padding-top: var(--space-xxs);
  }
}

.historicalSectoralEmissiosChart {
  margin-top: var(--space-s);
}

.netStackGraph {
  height: 200px;
}